--
-- $Id$
--
-- Script containing customer specific sql statements for the KFNS database
-- Dit is een script dat een table aanmaakt voor de kostenmonitor freeze en deze voor de eerste keer vult met data.

DEFINE thisfile = 'KFNS#40110.SQL'
DEFINE dbuser   = '^KFNS'
DEFINE custid   = 'KFNS'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

BEGIN
FAC.INITSESSION('NL');
END;
/

CREATE TABLE KFNS_KM_FREEZE
(
  FREEZE_DATUM    DATE,
  KWARTAAL        VARCHAR2(10 BYTE),
  ALG_GEBOUW_CODE  VARCHAR2(12 BYTE),
  ALG_GEBOUW_OMSCHRIJVING  VARCHAR2(60 BYTE),
  PRS_KOSTENSOORT_OMS VARCHAR2(60 BYTE),
  PRS_KOSTENSOORTGRP_OMS VARCHAR2(60 BYTE),
  VOLGORDE        VARCHAR2(10 BYTE),
  BEDRAG       NUMBER(12,2)
);

INSERT INTO KFNS_KM_FREEZE
( FREEZE_DATUM
, KWARTAAL
, ALG_GEBOUW_CODE
, ALG_GEBOUW_OMSCHRIJVING
, PRS_KOSTENSOORT_OMS
, PRS_KOSTENSOORTGRP_OMS
, VOLGORDE
, BEDRAG
)
SELECT 
SYSDATE,
TO_CHAR (SYSDATE, 'yyyy') || '-' || FAC.SAFE_TO_NUMBER (TO_CHAR ((SYSDATE), 'q')) KWARTAAL,
ALG_GEBOUW_CODE,
ALG_GEBOUW_OMSCHRIJVING,
PRS_KOSTENSOORT_OMS,
PRS_KOSTENSOORTGRP_OMS,
VOLGORDE,
BEDRAG
FROM KFNS_V_RAP_KOSTEN_MONITOR;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile